require "narray"
require "trianglei"
require "numru/dcl"
include NumRu

iws = ( ARGV[0] || 1 ).to_i

px = NArray[0.0, 3.0, 1.0, 1.0, 3.5]
py = NArray[0.0, 1.0, 4.0, 5.0, 4.0]
p px
tary = TriangleI.delaunay(px, py)
p tary

DCL.swpset('iwidth',400)
DCL.swpset('iheight',400)
DCL.swpset('ldump',true) if iws == 4
DCL.gropn(iws)

rundef = DCL.glpget("rundef")

DCL.grfrm
DCL.grsvpt(0.12,0.9,0.12,0.9)
DCL.grswnd(-1,4,0,5)
DCL.ussttl('x','','y','')
tary.each do |t|
  DCL.usspnt(t.px, t.py)
end
DCL.uspfit
DCL.grstrf
DCL.usdaxs
DCL.uxmttl('t','delaunay triangulation result',0.0)
tary.each do |t|
  p t.ids.to_a, t.px_cyclic4.to_a, t.py_cyclic4.to_a
  DCL.uulin(t.px_cyclic4, t.py_cyclic4)
end


DCL.grcls
